package com.gic.store.service;

import com.gic.store.dto.ClerkPositionDTO;
import com.gic.store.entity.TabClerkPosition;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-15 17:08
 */
public interface ClerkPositionService {
    boolean isPositionNameRepeat(Integer enterpriseId, String positionName, Integer clerkPositionId);

    boolean isPositionCodeRepeat(Integer enterpriseId, String positionCode, Integer clerkPositionId);

    void save(ClerkPositionDTO clerkPositionDTO);

    void update(ClerkPositionDTO clerkPositionDTO);

    TabClerkPosition getByClerkPositionId(Integer clerkPositionId);

    Page<TabClerkPosition> listClerkPosition(Integer enterpriseId, String search, Integer currentPage, Integer pageSize);

    List<TabClerkPosition> listAllClerkPosition(Integer enterpriseId, String search);

    void deleteById(Integer clerkPositionId);

    void setSort(Integer enterpriseId, Integer clerkPositionId, Integer seq);

    void sortTopping(Integer enterpriseId, Integer clerkPositionId);

    void sortBottom(Integer enterpriseId, Integer clerkPositionId);

    TabClerkPosition getByName(Integer enterpriseId, String positionName);
}
